Bug 158034 - Mercurial SCM support for Hudson
Mercurial SCM support for Hudson
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 18:14 UTC by Jesse Glick
Modified: 2009-04-05 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-02-05 18:14:32 UTC
Ought to be there.
Comment 1 Jesse Glick 2009-02-27 22:49:48 UTC
Start of an impl in cdev #0106d9e42ffb: project creation support. Still missing: remote -> local mapping for hyperlinks;
changelog browsing.
Comment 2 Jesse Glick 2009-03-03 23:51:18 UTC
Now working at least for projects whose root is the same as the Hg root. Could be improved to better support projects as
subdirs of the repo - for these, job creation and remote -> local build console hyperlink mapping will not currently
work, but changelog browsing should be fine. (Stack trace hyperlinking is independent of SCMs; works whenever you have a
similar project open.)
Comment 3 Quality Engineering 2009-03-17 08:47:05 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0106d9e42ffb
User: Jesse Glick <jglick@netbeans.org>
Log: Start of #158034: Hg support for Hudson. So far just project creation supported.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo